summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rwxr-xr-xscripts/extract-vmlinux6
1 files changed, 5 insertions, 1 deletions
diff --git a/scripts/extract-vmlinux b/scripts/extract-vmlinux
index 1f90139..7724f38 100755
--- a/scripts/extract-vmlinux
+++ b/scripts/extract-vmlinux
@@ -18,7 +18,11 @@ check_vmlinux()
readelf -h $1 > /dev/null 2>&1
if [ $? -ne 0 ]; then
# On ARM64, the kernel might be a PE file instead
- file $1 | grep -q "MS-DOS executable$" || return 1
+ # and output of file command might be something like following:
+ # $ file cuttlefish_assembly/vmlinux
+ # cuttlefish_assembly/vmlinux: MS-DOS executable PE32+ executable (EFI application) Aarch64 (stripped to external PDB), for MS Windows
+ # $
+ file $1 | grep -q "MS-DOS executable" || return 1
fi
cat $1